Attribute VB_Name = "modSignaturText"
Option Explicit

' Buch "Selbstorganisation und Zeitmanagement mit MS Outlook" (Stobbe, Wuttke, 2016)
' Autor: Irina Stobbe, 2016
' nur "as it is" - ohne Garantie

' Verweis auf "Microsoft Scripting Runtime" erforderlich
' Inspiriert durch WiseOwlTutorials
 
Function GetSigText(SigType As OlBodyFormat, Optional SigName As String = "Leer") As String
  
  Dim fso As Scripting.FileSystemObject
  Dim ts As Scripting.TextStream
  Dim SigPath As String, SigText As String, SigExt As String
  ' Extension aus Typ bestimmen
  Select Case SigType
    Case olFormatHTML: SigExt = ".htm"
    Case olFormatRichText: SigExt = ".rtm"
    Case olFormatPlain: SigExt = ".txt"
  End Select
  ' Standardsignatur "Leer" muss existieren!
  SigPath = Environ("AppData") & "\Microsoft\Signatures\" & SigName & SigExt
  Set fso = New Scripting.FileSystemObject
  If Not fso.FileExists(SigPath) Then
    SigPath = Environ("AppData") & "\Microsoft\Signatures\Leer" & SigExt
  End If
  ' Signaturtext einlesen
  Set ts = fso.OpenTextFile(SigPath, , , TristateMixed) ' Codierung fr Html und Plaintext
  SigText = ts.ReadAll

  ' Aufrumen
  ts.Close
  Set fso = Nothing
  ' Funktionszuweisung
  GetSigText = SigText
   
End Function